Bug 228165 - Update net/pacemaker to 1.1.18
Summary: Update net/pacemaker to 1.1.18
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Florian Smeets
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-05-11 18:38 UTC by Florian Smeets
Modified: 2018-05-24 18:28 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (dpejesh)


Attachments
Update to 1.1.18 (27.71 KB, patch)
2018-05-11 18:38 UTC, Florian Smeets
no flags Details | Diff
01-uses.diff (3.96 KB, patch)
2018-05-12 16:00 UTC, David Shane Holden
no flags Details | Diff
01-pacemaker1-1.1.18.diff (422.60 KB, patch)
2018-05-12 16:00 UTC, David Shane Holden
no flags Details | Diff
03-pacemaker2-2.0.0-rc3.shar (196.29 KB, text/plain)
2018-05-12 16:01 UTC, David Shane Holden
no flags Details
02-pacemaker1-1.1.18.diff (422.62 KB, patch)
2018-05-12 16:24 UTC, David Shane Holden
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Smeets freebsd_committer 2018-05-11 18:38:23 UTC
Created attachment 193289 [details]
Update to 1.1.18
Comment 1 David Shane Holden 2018-05-12 16:00:11 UTC
Created attachment 193329 [details]
01-uses.diff
Comment 2 David Shane Holden 2018-05-12 16:00:40 UTC
Created attachment 193331 [details]
01-pacemaker1-1.1.18.diff
Comment 3 David Shane Holden 2018-05-12 16:01:12 UTC
Created attachment 193332 [details]
03-pacemaker2-2.0.0-rc3.shar
Comment 4 David Shane Holden 2018-05-12 16:08:24 UTC
Once the corosync2/3 ports are created (Bug 228164) then the uses patch will create a default version and USES option to switch between the two which the pacemaker1/2 ports will then use.
Comment 5 David Shane Holden 2018-05-12 16:24:24 UTC
Created attachment 193334 [details]
02-pacemaker1-1.1.18.diff
Comment 6 commit-hook freebsd_committer 2018-05-24 18:25:54 UTC
A commit references this bug:

Author: flo
Date: Thu May 24 18:24:54 UTC 2018
New revision: 470799
URL: https://svnweb.freebsd.org/changeset/ports/470799

Log:
  - add net/corosync3 (2.99.2)
  - add net/pacemaker2 (2.0.0-rc4)
  - net/corosync -> net/corosync2 (update to 2.4.4)
  - net/pacemaker -> net/pacemaker1 (update to 1.1.18)
  - add USES=corosync to deal with multiple versions

  PR:		228164, 228165
  Submitted by:	David Shane Holden <dpejesh@yahoo.com>

Changes:
  head/MOVED
  head/Mk/Uses/corosync.mk
  head/net/Makefile
  head/net/corosync/
  head/net/corosync2/
  head/net/corosync2/Makefile
  head/net/corosync2/Makefile.common
  head/net/corosync2/distinfo
  head/net/corosync2/files/corosync.in
  head/net/corosync2/pkg-message
  head/net/corosync3/
  head/net/corosync3/Makefile
  head/net/corosync3/distinfo
  head/net/corosync3/files/corosync.in
  head/net/corosync3/pkg-message
  head/net/corosync3/pkg-plist
  head/net/pacemaker/
  head/net/pacemaker1/
  head/net/pacemaker1/Makefile
  head/net/pacemaker1/Makefile.common
  head/net/pacemaker1/distinfo
  head/net/pacemaker1/files/pacemaker.in
  head/net/pacemaker1/pkg-message
  head/net/pacemaker1/pkg-plist
  head/net/pacemaker2/
  head/net/pacemaker2/Makefile
  head/net/pacemaker2/distinfo
  head/net/pacemaker2/files/pacemaker.in
  head/net/pacemaker2/files/patch-crmd_pengine.c
  head/net/pacemaker2/files/patch-daemons_execd_Makefile.am
  head/net/pacemaker2/files/patch-daemons_pacemakerd_Makefile.am
  head/net/pacemaker2/files/patch-lrmd_Makefile.am
  head/net/pacemaker2/files/patch-mcp_Makefile.am
  head/net/pacemaker2/pkg-message
  head/net/pacemaker2/pkg-plist
Comment 7 Florian Smeets freebsd_committer 2018-05-24 18:28:04 UTC
Committed. Thanks.